import request from '@/utils/request'

// 查询网络安全官列表
export function listAqg(query) {
  return request({
    url: '/tcZz/networkEcology/aqg/list',
    method: 'get',
    params: query
  })
}

// 查询网络安全官详细
export function getAqg(id) {
  return request({
    url: '/tcZz/networkEcology/aqg/' + id,
    method: 'get'
  })
}

// 新增网络安全官
export function addAqg(data) {
  return request({
    url: '/tcZz/networkEcology/aqg',
    method: 'post',
    data: data
  })
}

// 修改网络安全官
export function updateAqg(data) {
  return request({
    url: '/tcZz/networkEcology/aqg',
    method: 'put',
    data: data
  })
}

// 删除网络安全官
export function delAqg(id) {
  return request({
    url: '/tcZz/networkEcology/aqg/' + id,
    method: 'delete'
  })
}

// 网络安全官批量启用禁用
export function updateIsStatus(query) {
  return request({
    url: '/tcZz/networkEcology/aqg/isStatus',
    method: 'get',
    params: query
  })
}

// 通用导入
export function importExcel(data) {
  return request({
    url: '/tcZz/networkEcology/aqg/common/importExcel',
    method: 'post',
    data,
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    }
  })
}